import * as _uuid from 'uuid';
import pluralize from 'pluralize';
export { default as bytes } from 'bytes';
export { default as moment } from 'moment';
export { default as isEven } from 'is-even';
export { default as isOdd } from 'is-odd';
export { default as isNumber } from 'is-number';

declare const isTypescript: boolean;
declare const sha256: (data: any) => string;
declare const md5: (data: any) => string;
declare const hex: (data: any) => string;
declare const base64: (data: any) => string;
declare const binary: (data: any) => string;
declare const ascii: (data: any) => string;
declare const latin1: (data: any) => string;
declare const decode: (data: Buffer | string, encoding: BufferEncoding) => string;
declare const plural: typeof pluralize;
declare const capitalize: (str: string, eachword?: boolean) => string;
declare const crop: (str: string, charNumber: number) => string;
declare const remove: (str: string, ...toRemove: string[]) => string;
declare const escape: (str: string) => string;
declare const first: <T extends unknown>(array: T[], n?: number) => T[];
declare const last: <T extends unknown>(array: T[], n?: number) => T[];
declare const random: <T extends unknown>(array: T[]) => T;
declare const get: <T extends unknown>(array: any[], key: string) => T[];
declare const groupBy: <T extends unknown>(array: T[], key: string) => Record<string, T[]>;
declare const group: <T extends unknown>(array: T[], n: number) => T[][];
declare const stringify: (arg: any) => any;
declare const colors: {
    readonly amethyst: 10053324;
    readonly aqua: 1752220;
    readonly blue: 3447003;
    readonly blurple: 5793266;
    readonly darkAqua: 1146986;
    readonly darkBlue: 2123412;
    readonly darkButNotBlack: 2895667;
    readonly darkGold: 12745742;
    readonly darkGreen: 2067276;
    readonly darkGrey: 9936031;
    readonly darkNavy: 2899536;
    readonly darkOrange: 11027200;
    readonly darkPurple: 7419530;
    readonly darkRed: 10038562;
    readonly darkVividPink: 11342935;
    readonly darkerGrey: 8359053;
    readonly default: 0;
    readonly fuchsia: 15418782;
    readonly gold: 15844367;
    readonly green: 5763719;
    readonly grey: 9807270;
    readonly greyple: 10070709;
    readonly lightGrey: 12370112;
    readonly luminousVividPink: 15277667;
    readonly navy: 3426654;
    readonly notQuiteBlack: 2303786;
    readonly orange: 15105570;
    readonly purple: 10181046;
    readonly red: 15548997;
    readonly white: 16777215;
    readonly yellow: 16705372;
};
declare const uuid: (<T extends ArrayLike<number>>(options: _uuid.V4Options | null | undefined, buffer: T, offset?: number | undefined) => T) & ((options?: _uuid.V4Options | undefined) => string);
declare const randomId: (length: number, mode?: "letters" | "lettersLowerCase" | "lettersUppercase" | "numbers" | "both" | "bothUpperCase" | "bothLowerCase" | string) => string;
declare const highlight: (str: string, color: ((text: string | number) => string)) => string;

declare const _default: {
    isTypescript: boolean;
    sha256: (data: any) => string;
    md5: (data: any) => string;
    hex: (data: any) => string;
    base64: (data: any) => string;
    binary: (data: any) => string;
    ascii: (data: any) => string;
    latin1: (data: any) => string;
    decode: (data: string | Buffer, encoding: BufferEncoding) => string;
    plural: typeof pluralize;
    capitalize: (str: string, eachword?: boolean) => string;
    crop: (str: string, charNumber: number) => string;
    remove: (str: string, ...toRemove: string[]) => string;
    escape: (str: string) => string;
    first: <T extends unknown>(array: T[], n?: number) => T[];
    last: <T_1 extends unknown>(array: T_1[], n?: number) => T_1[];
    random: <T_2 extends unknown>(array: T_2[]) => T_2;
    get: <T_3 extends unknown>(array: any[], key: string) => T_3[];
    groupBy: <T_4 extends unknown>(array: T_4[], key: string) => Record<string, T_4[]>;
    group: <T_5 extends unknown>(array: T_5[], n: number) => T_5[][];
    stringify: (arg: any) => any;
    colors: {
        readonly amethyst: 10053324;
        readonly aqua: 1752220;
        readonly blue: 3447003;
        readonly blurple: 5793266;
        readonly darkAqua: 1146986;
        readonly darkBlue: 2123412;
        readonly darkButNotBlack: 2895667;
        readonly darkGold: 12745742;
        readonly darkGreen: 2067276;
        readonly darkGrey: 9936031;
        readonly darkNavy: 2899536;
        readonly darkOrange: 11027200;
        readonly darkPurple: 7419530;
        readonly darkRed: 10038562;
        readonly darkVividPink: 11342935;
        readonly darkerGrey: 8359053;
        readonly default: 0;
        readonly fuchsia: 15418782;
        readonly gold: 15844367;
        readonly green: 5763719;
        readonly grey: 9807270;
        readonly greyple: 10070709;
        readonly lightGrey: 12370112;
        readonly luminousVividPink: 15277667;
        readonly navy: 3426654;
        readonly notQuiteBlack: 2303786;
        readonly orange: 15105570;
        readonly purple: 10181046;
        readonly red: 15548997;
        readonly white: 16777215;
        readonly yellow: 16705372;
    };
    uuid: (<T extends ArrayLike<number>>(options: _uuid.V4Options | null | undefined, buffer: T, offset?: number | undefined) => T) & ((options?: _uuid.V4Options | undefined) => string);
    randomId: (length: number, mode?: string) => string;
    highlight: (str: string, color: (text: string | number) => string) => string;
};

export { ascii, base64, binary, capitalize, colors, crop, decode, _default as default, escape, first, get, group, groupBy, hex, highlight, isTypescript, last, latin1, md5, plural, random, randomId, remove, sha256, stringify, uuid };
